import { ActionType, IComponentSchemaJson, IListenerInstance, IMaterialItem, IPageInstance, IWebRuntimeAppData, IExtraData, IDynamicValue, IWeAppComponentInstance, IComponentLibEntry } from '../../weapps-core';
import { BuildType, IComponentsInfoMap, IFileCodeMap } from '../types/common';
import { Schema } from '@formily/react-schema-renderer';
import { DEPLOY_MODE, RUNTIME } from '../../types';
import { IPlatformApp } from '@cloudbase/cals';
export declare function runGenerateCore(props: {
    appBuildDir: string;
    cals: IPlatformApp;
    appData: IWebRuntimeAppData;
    subAppDataList: IWebRuntimeAppData[];
    dependencies: IMaterialItem[];
    appKey: string;
    buildTypeList: BuildType[];
    basename: string;
    deployMode: DEPLOY_MODE;
    runtime: RUNTIME;
    ignoreInstall: boolean;
    extraData: {
        isComposite: boolean;
        compProps: any;
    };
    i18nConfig: any;
    fileCodeMap: IFileCodeMap;
    isSandbox: boolean;
}): Promise<void>;
export interface IOriginKeyInfo {
    sourceKey: string;
    name: string;
    materialName: string;
    materialVersion: string;
    key: string;
    variableName: string;
    type?: ActionType;
    isComposite?: boolean;
    isPlainProps?: boolean;
    entries?: IComponentLibEntry;
}
export declare function generateSinglePageJsxFile(pageInstance: IPageInstance, appBuildDir: string, rootPath: string, dependencies: IMaterialItem[] | undefined, extraData: {
    isComposite: boolean;
    compProps: any;
} | undefined, buildTypeList: BuildType[], fileCodeMap: IFileCodeMap, isSandbox: boolean): Promise<void>;
export declare function getOriginComponentAndActionList(componentSchema: IComponentSchemaJson, dependencies: IMaterialItem[], originComponentList?: IOriginKeyInfo[], originActionList?: IOriginKeyInfo[], genericCompMap?: Record<string, IWeAppComponentInstance['genericComp']>): {
    originComponentList: IOriginKeyInfo[];
    originActionList: IOriginKeyInfo[];
};
export declare function pullActionToListByInstances(listenerInstances: any, originActionList: any, fixedDependencies: IFixedDependence[]): void;
interface IFixedDependence extends IMaterialItem {
    isPlainProps?: boolean;
    entries?: IComponentLibEntry;
}
export declare function pullComponentToListByInstance(sourceKey: string, originComponentList: IOriginKeyInfo[], fixedDependencies: IFixedDependence[]): void;
export declare function isSlot(comp: Schema): boolean | "" | undefined;
export declare function getComponentSchemaString(componentSchema: IComponentSchemaJson, isComposite?: boolean, componentsInfoMap?: IComponentsInfoMap, wrapperClass?: string): {
    widgets: string;
    dataBinds: string;
    componentSchema: string;
};
export declare function generateDataBind(bind: IDynamicValue): string;
export declare function getListenersString(listeners?: IListenerInstance[], isComposite?: boolean): string;
export declare function generateRouterFile(allAppDataList: IWebRuntimeAppData[], appBuildDir: string, basename: string | undefined, buildTypeList: BuildType[] | undefined, fileCodeMap: IFileCodeMap, isSandbox: any): Promise<void>;
export declare function generateAppData(cals: any, dependencies: any, appBuildDir: any, fileCodeMap: IFileCodeMap): Promise<void>;
export declare function writeLowCodeFiles(appData: IWebRuntimeAppData, appBuildDir: string, fileCodeMap: IFileCodeMap, rootPath: string): Promise<void>;
export declare function generateCodeFromTpl(
/**
 * 应用ID
 */
appKey: string, 
/**
 * 应用数据
 */
appData: IWebRuntimeAppData, appBuildDir: string, rootPath: string, extraData: IExtraData, i18nConfig: any, fileCodeMap: IFileCodeMap, isSandbox: boolean, subAppDataList: IWebRuntimeAppData[], buildTypeList: BuildType[], deployMode: DEPLOY_MODE, 
/**
 * 静态域名
 */
domain: string, dependencies: any): Promise<void>;
export {};
